package fxReseptivihko;

import javafx.application.Application;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.fxml.FXMLLoader;


/**
 * @author myrskys
 * @version 26/02/2025
 */
public class ReseptivihkoMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            BorderPane root = (BorderPane)FXMLLoader.load(getClass().getResource("ReseptivihkoGuiView.fxml"));
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("reseptivihko.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Reseptivihko");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }



    /**
     * @param args Ei käytössä
     */
    public static void main(String[] args) {
        launch(args);
    }
}